<?php $__env->startSection('title'); ?>
Services
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!--=====================================
=    Start Session & Errors Display     =
======================================-->
<!-- Session Alert Start -->
<?php if(Session::has('success')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('success')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if(Session::has('danger')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('danger')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<!-- Session Alert End -->
<!-- Dislay Errors Start -->
<?php if(count($errors) > 0): ?>
<div class="row">
    <div class="col-10 offset-1">
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e($error); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<?php endif; ?>
<!-- Dislay Errors End -->
<!--====  End of Section Sessions & Errors Display  ====-->
<!--=====================================
=            Start Services Section     =
======================================-->
<div class="row">
    <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12">
        <div class="card website-settings-card shadow mb-5">
            <!-- Start Nav -->
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist" >
                <li class="nav-item">
                    <a class="nav-link active"
                    id="pills-services-tab" data-toggle="pill" href="#pills-services" role="tab" aria-controls="pills-services"><i class="fa fa-pencil"></i> Edit Your Services</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="pills-addservice-tab" data-toggle="pill" href="#pills-addservice" role="tab" aria-controls="pills-addservice"><i class="fa fa-plus"></i> Add a New Service</a>
                </li>
            </ul>
            <!-- End Nav -->
            <!-- Start Body -->
            <div class="row tab-content mt-2" id="pills-tabContent">
                <!-- Start Services Tab -->
                <div class="table-responsive col-lg-10 offset-lg-1 col-md-12 col-sm-12 tab-pane fade show active" id="pills-services" role="tabpanel" aria-labelledby="pills-services-tab">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th class="text-center">Services</th>
                                <th class="text-center">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th class="text-center p-4"><?php echo e($service->title); ?></th>
                                <td class="text-center">
                                    <a class="btn btn-primary" href="<?php echo e(route('edit.service', ['id'=>$service->id])); ?>">Edit Service</a>
                                    <a class="btn btn-danger" href="<?php echo e(route('delete.service', ['id'=>$service->id])); ?>" title="">Delete Service</a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- End Services Tab -->
                <!-- Start Add Service Tab -->
                <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12 tab-pane fade" id="pills-addservice" role="tabpanel" aria-labelledby="pills-addservice-tab">
                    <form action="<?php echo e(route('add.service')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label class="home-page-label">Service Title</label>
                        <input type="text" name="title" placeholder="Enter Your service title.." class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Service Icon</label>
                        <input type="text" name="icon" placeholder="Enter Your service icon.." class="form-control">
                    </div>
                        <div class="alert alert-warning" role="alert">
                        <small>-- Please Choose an icon & Copy Its Code From This Website --> <a class="text-danger" href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Font Awesome</a></small>

                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Add Short Description</label>
                        <textarea name="short_description" placeholder="Enter Your service short description.." class="form-control"></textarea>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Edit Long Description</label>
                        <textarea name="long_description" placeholder="Enter Your service short description.." class="form-control" rows="12"></textarea>
                    </div>
                    <div class="form-group">
                            <label class="home-page-label">Upload An Image For Your Service</label>
                            <input name="image" type="file" class="form-control">
                        </div>
                    <button type="submit" class="btn btn-primary">Save Informations</button>
                </form>
                </div>
                <!-- End Add Service Tab -->
            </div>
        </div>
    </div>
</div>
<!--====  End of Section Services  ====-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Backend.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /Applications/MAMP/htdocs/company/resources/views/Backend/services.blade.php */ ?>