<?php $__env->startSection('title'); ?>
Edit Project
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!--=====================================
=    Start Session & Errors Display     =
======================================-->
<!-- Session Alert Start -->
<?php if(Session::has('success')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('success')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if(Session::has('danger')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('danger')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<!-- Session Alert End -->
<!-- Dislay Errors Start -->
<?php if(count($errors) > 0): ?>
<div class="row">
    <div class="col-10 offset-1">
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e($error); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<?php endif; ?>
<!-- Dislay Errors End -->
<!--====  End of Section Sessions & Errors Display  ====-->
<!--=====================================
=            Start Project Section     =
======================================-->
<div class="row">
    <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12">
        <div class="card">
            <div class="card-header bg-dark text-white">
                Edit This Project : <?php echo e($project->title); ?>

            </div>
            <div class="card-body">
                <a class="badge badge-pill badge-primary add-new-slider" href="<?php echo e(route('projectspage')); ?>">
                    <i class="fas  fa-arrow-left"></i>
                    Back To Projects List
                </a>
                <form action="<?php echo e(route('update.project',['id'=>$project->id])); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label class="home-page-label">Project Name</label>
                        <input type="text" name="name" value="<?php echo e($project->name); ?>" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="exampleFormControlSelect1">Project Category</label>
                        <select name="category_id" class="form-control" id="exampleFormControlSelect1">
                            <?php $__currentLoopData = $project_cats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php if($cat->id == $project->category_id): ?> selected <?php endif; ?> value="<?php echo e($cat->id); ?>"><?php echo e($cat->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Short Description</label>
                        <textarea name="short_description" class="form-control"><?php echo e($project->short_description); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Long Description</label>
                        <textarea rows="5" name="long_description" class="form-control"><?php echo e($project->long_description); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Client Name</label>
                        <input type="text" name="client_name" value="<?php echo e($project->client_name); ?>"" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Client feedback</label>
                        <textarea name="client_feedback" class="form-control"><?php echo e($project->client_feedback); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Start Date</label>
                        <input value="<?php echo e($project->start_date); ?>" type="date" name="start_date" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">End Date</label>
                        <input value="<?php echo e($project->end_date); ?>" type="date" name="end_date" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Upload An Image For Your Project</label>
                        <input name="image" type="file" class="form-control">
                    </div>
                    <div class="mb-3">
                        <small style="font-weight: bold;" class="text-dark">Current Image :</small>
                        <img src="<?php echo e(asset('uploads/projects/' . $project->image)); ?>" height="300px">
                    </div>
                    <button type="submit" class="btn btn-primary btn-block btn-lg">Save Informations</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!--====  End of Project Section  ====-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Backend.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /Applications/MAMP/htdocs/company/resources/views/Backend/edit-project.blade.php */ ?>