<?php $__env->startSection('title'); ?>
Posts
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!--=====================================
=    Start Session & Errors Display     =
======================================-->
<!-- Session Alert Start -->
<?php if(Session::has('success')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('success')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if(Session::has('danger')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('danger')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<!-- Session Alert End -->
<!-- Dislay Errors Start -->
<?php if(count($errors) > 0): ?>
<div class="row">
    <div class="col-10 offset-1">
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e($error); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<?php endif; ?>
<!-- Dislay Errors End -->
<!--====  End of Section Sessions & Errors Display  ====-->
<!--=====================================
=            Start Partners Section     =
======================================-->
<div class="row">
    <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12">
        <div class="card website-settings-card shadow mb-5">
            <!-- Start Nav -->
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist" >
                <li class="nav-item">
                    <a class="nav-link active"
                    id="pills-posts-tab" data-toggle="pill" href="#pills-posts" role="tab" aria-controls="pills-posts"><i class="fa fa-pencil"></i> Edit Your Posts</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="pills-addpost-tab" data-toggle="pill" href="#pills-addpost" role="tab" aria-controls="pills-addpost"><i class="fa fa-plus"></i> Add New Post</a>
                </li>
            </ul>
            <!-- End Nav -->
            <!-- Start Body -->
            <div class="row tab-content mt-2" id="pills-tabContent">
                <!-- Start features Tab -->
                <div class="table-responsive col-lg-10 offset-lg-1 col-md-12 col-sm-12 tab-pane fade show active"
                    id="pills-posts" role="tabpanel" aria-labelledby="pills-posts-tab">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th class="text-center">Post Image</th>
                                <th class="text-center">Post Title</th>
                                <th class="text-center">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="text-center">
                                    <img style="max-height: 80px; vertical-align: middle;" src="<?php echo e(asset('uploads/blog/' . $post->image)); ?>">
                                </td>
                                <th style="vertical-align: middle;" class="text-center">
                                    <?php echo e($post->title); ?>

                                </th>
                                <td class="text-center" style="vertical-align: middle;">
                                    <a href="<?php echo e(route('edit.post', ['id'=>$post->id])); ?>" class="btn btn-primary btn-sm">Edit Post</a>
                                    <a href="<?php echo e(route('delete.post', ['id'=>$post->id])); ?>" class="btn btn-danger btn-sm">Delete Post</a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <!-- End features Tab -->
                <!-- Start Add Post Tab -->
                <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12 tab-pane fade" id="pills-addpost" role="tabpanel" aria-labelledby="pills-addpost-tab">
                    <form action="<?php echo e(route('add.post')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="form-group">
                            <label class="home-page-label">Post Title</label>
                            <input type="text" name="title" placeholder="Enter Your Post Title here.." class="form-control">
                        </div>
                        <div class="form-group">
                        <label class="home-page-label">Post Content</label>
                        <textarea class="form-control" placeholder="Enter Your Post Content here.." id="post" name="post"></textarea>
                        </div>
                        <br>
                        <div class="form-group">
                            <label class="home-page-label">Add Image To Your Post</label>
                            <input name="image" type="file" class="form-control">
                        </div>
                        <button type="submit" class="btn btn-primary">Save Informations</button>
                    </form>
                </div>
                <!-- End Add Post Tab -->
            </div>
        </div>
    </div>
</div>
<!--====  End of Section Settings  ====-->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('ckeditor'); ?>
<script src="<?php echo e(asset('/vendor/unisharp/laravel-ckeditor/ckeditor.js')); ?>"></script>
    <script>
    CKEDITOR.replace( 'post' );
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('Backend.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /Applications/MAMP/htdocs/company/resources/views/Backend/posts.blade.php */ ?>