<?php $__env->startSection('title'); ?>
Edit Service
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!--=====================================
=    Start Session & Errors Display     =
======================================-->
<!-- Session Alert Start -->
<?php if(Session::has('success')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('success')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<?php if(Session::has('danger')): ?>
<div class="row">
    <div class="col-10 offset-1">
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e(Session::get('danger')); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    </div>
</div>
<?php endif; ?>
<!-- Session Alert End -->
<!-- Dislay Errors Start -->
<?php if(count($errors) > 0): ?>
<div class="row">
    <div class="col-10 offset-1">
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <?php echo e($error); ?>

            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<?php endif; ?>
<!-- Dislay Errors End -->
<!--====  End of Section Sessions & Errors Display  ====-->
<!--=====================================
=            Start Service Section     =
======================================-->
<div class="row">
    <div class="col-lg-10 offset-lg-1 col-md-12 col-sm-12">
        <div class="card">
            <div class="card-header bg-dark text-white">
                Edit This Service : <?php echo e($service->title); ?>

            </div>
            <div class="card-body">
                <a class="badge badge-pill badge-primary add-new-slider" href="<?php echo e(route('servicespage')); ?>">
                    <i class="fas  fa-arrow-left"></i>
                    Back To Services List
                </a>
                <form action="<?php echo e(route('update.service', ['id'=> $service->id])); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="form-group">
                        <label class="home-page-label">Edit Title</label>
                        <input type="text" name="title" value="<?php echo e($service->title); ?>" class="form-control">
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Edit Icon</label>
                        <div class="alert alert-dark" role="alert">
                        <small>-- To Change Icon , Please Choose it & Copy Its Code From This Website --> <a class="text-danger" href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Font Awesome</a></small>
                    </div>
                        <input type="text" name="icon" value="<?php echo e($service->icon); ?>" class="form-control">
                    </div>
                    <div class="mb-3">
                            <small style="font-weight: bold;" class="text-dark">- Current Icon :</small>
                            <i style="font-size: 30px; color: red;" class="fa <?php echo e($service->icon); ?>"></i>
                        </div>
                    <div class="form-group">
                        <label class="home-page-label">Edit Short Description</label>
                        <textarea name="short_description" class="form-control"><?php echo e($service->short_description); ?></textarea>
                    </div>
                    <div class="form-group">
                        <label class="home-page-label">Edit Long Description</label>
                        <textarea name="long_description" class="form-control" rows="12"><?php echo e($service->long_description); ?></textarea>
                    </div>
                    <div class="form-group">
                            <label class="home-page-label">Upload A New Image</label>
                            <input name="image" type="file" class="form-control">
                        </div>
                        <div class="mb-3">
                            <small style="font-weight: bold;" class="text-dark">Current Image :</small>
                            <img src="<?php echo e(asset('uploads/services/' . $service->image)); ?>" height="300px">
                        </div>
                    <button type="submit" class="btn btn-primary">Save Informations</button>
                </form>
            </div>
        </div>
    </div>
</div>
<!--====  End of Service Section  ====-->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Backend.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php /* /Applications/MAMP/htdocs/company/resources/views/Backend/edit-service.blade.php */ ?>