<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Meta Tags -->
        <meta charset="UTF-8">
        <title><?php echo e($metas->title); ?> - <?php echo $__env->yieldContent('title'); ?></title>
        <meta name="description" content="<?php echo e($metas->description); ?>">
        <meta name="keywords" content="<?php echo e($metas->keywords); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <!-- Favicon -->
        <link rel="icon" type="image/png" href="<?php echo e(asset('uploads/' . $metas->favicon )); ?>">
        <!-- Stylesheets -->
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/animate.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/bootstrap.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/jquery-ui.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/font-awesome.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/owl.carousel.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/magnific-popup.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/meanmenu.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/global.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/style.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/responsive.css')); ?>">
        <!-- Theme Color File -->
        <link rel="stylesheet" href="<?php echo e(asset('Frontend/css/colors/'.$color->color.'.css')); ?>">
    </head>
    <body>
        <!--Loader Start-->
        <div id="loader">
            <div class="spinner">
                <div class="double-bounce1"></div>
                <div class="double-bounce2"></div>
            </div>
        </div>
        <!--Loader End-->
        <!--Header Section Start-->
        <div class="header">
            <div class="container">
                <div class="row">
                    <div class="col-xl-6 col-lg-7 col-12">
                        <div class="infos">
                            <ul>
                                <li>
                                    <i class="fa fa-envelope"></i>
                                    <span><?php echo e($infos->email); ?></span>
                                </li>
                                <li>
                                    <i class="fa fa-phone"></i>
                                    <span><?php echo e($infos->phone); ?></span>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-5 col-12">
                        <div class="social-icons">
                            <ul>
                                <li>
                                    <div class="social-nav">
                                        <ul>
                                            <li><a href="<?php echo e($socials->facebook); ?>" target="blank"><i class="fa fa-facebook"></i></a></li>
                                            <li><a href="<?php echo e($socials->instagram); ?>" target="blank"><i class="fa fa-instagram"></i></a></li>
                                            <li><a href="<?php echo e($socials->twitter); ?>" target="blank"><i class="fa fa-twitter"></i></a></li>
                                            <li><a href="<?php echo e($socials->linkedin); ?>" target="blank"><i class="fa fa-linkedin"></i></a></li>
                                            <li><a href="<?php echo e($socials->youtube); ?>" target="blank"><i class="fa fa-youtube"></i></a></li>
                                            <li><a href="<?php echo e($socials->vimeo); ?>" target="blank"><i class="fa fa-vimeo"></i></a></li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Header Section End-->
        <!--Navbar Start-->
        <div id="strickymenu" class="menu">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-12">
                        <div class="logo flex">
                            <a href="<?php echo e(route('/')); ?>" class="navbar-logo" ><?php echo e($infos->name); ?></a>
                        </div>
                    </div>
                    <div class="col-lg-9 col-12 main-menu">
                        <div class="main-menu-item">
                            <ul class="nav-menu">
                                <?php $__currentLoopData = $items->where('appear', 'show'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <a class="<?php echo e(Request::is($item->route) ? 'active-navbar-link' : ''); ?>" href="<?php echo e(route($item->route)); ?>"><?php echo e($item->title); ?></a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Navbar End-->
        <!--Content-->
        <?php echo $__env->yieldContent('content'); ?>
        <!--End Content-->
        <!--Footer-Area Start-->
        <div class="footer-area pt_40 pb_60">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3 col-md-6">
                        <div class="footer-item">
                            <h3><?php echo e($heading->footer_contact); ?></h3>
                            <div class="footer-address-item">
                                <div class="icon"><i class="fa fa-map-marker"></i></div>
                                <div class="text">
                                    <span><?php echo e($infos->address); ?> , <?php echo e($infos->city); ?> , <?php echo e($infos->state); ?> , <?php echo e($infos->country); ?> </span>
                                </div>
                            </div>
                            <div class="footer-address-item">
                                <div class="icon"><i class="fa fa-phone"></i></div>
                                <div class="text">
                                    <span><?php echo e($infos->phone); ?></span>
                                </div>
                            </div>
                            <div class="footer-address-item">
                                <div class="icon"><i class="fa fa-envelope-o"></i></div>
                                <div class="text">
                                    <span><?php echo e($infos->email); ?></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="footer-item">
                            <h3><?php echo e($heading->footer_links); ?></h3>
                            <ul>
                                <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e(route('page', ['id'=>$page->id, 'title'=> str_replace(" ", "-", $page->title)])); ?>"><?php echo e($page->title); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="mt-30">
                            <h3 class="keep-touch"><?php echo e($heading->footer_keep); ?></h3>
                            <div class="keep-touch-social">
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->facebook); ?>"><i class="fa fa-facebook"></i></a></button>
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->twitter); ?>"><i class="fa fa-twitter"></i></a></button>
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->instagram); ?>"><i class="fa fa-instagram"></i></a></button>
                            </div>
                            <div class="keep-touch-social">
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->youtube); ?>"><i class="fa fa-youtube"></i></a></button>
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->vimeo); ?>"><i class="fa fa-vimeo"></i></a></button>
                                <button type="submit" class="btn btn-primary"><a target="_blank" href="<?php echo e($socials->linkedin); ?>"><i class="fa fa-linkedin"></i></a></button>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6">
                        <div class="footer-item" id="newsletter">
                            <h3><?php echo e($heading->footer_newsletter); ?></h3>
                            <p>Subscribe to our newsletter list to receive our latest offers & news.</p>
                            <form action="<?php echo e(route('add.subscriber')); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <div class="input-group subscribe-input">
                                    <input name="email" type="email" class="form-control" placeholder="Email Address" required>
                                    <span class="input-group-btn">
                                        <button class="btn" type="submit">
                                        <i class="fa fa-location-arrow"></i></button>
                                    </span>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-bottom pt_20 pb_20">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="copy-text">
                            <p><?php echo e($metas->copyright); ?> | Created By <a href="https://codecanyon.net/user/todocode" target="_blank">TodoCode</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--Footer End-->
        <!--Start Scroll-To-Top-->
        <div class="scroll-top">
            <i class="fa fa-arrow-circle-up" aria-hidden="true"></i>
        </div>
        <!--End Scroll-To-Top-->
        <!--JavaScript Scripts Start -->
        <script src="<?php echo e(asset('Frontend/js/jquery-2.2.4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/popper.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/jquery-ui.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/owl.carousel.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/jquery.magnific-popup.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/jquery.meanmenu.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/jquery.filterizr.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/jquery.counterup.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/waypoints.min.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/viewportchecker.js')); ?>"></script>
        <script src="<?php echo e(asset('Frontend/js/custom.js')); ?>"></script>
        <!--JavaScript Scripts End -->
    </body>
</html>

<?php /* /Applications/MAMP/htdocs/company/resources/views/Frontend/Template/layout.blade.php */ ?>